<html>
  <head>
    <title>StanzEnigma: Pirates</title>
    <style>
        .progress {
            width: 100%;
            text-align: left;
        }
        .timer {  font-size: 50px;
    font-family: arial, helvetica, sans-serif;
}
/*
body {
  background-image: url('/static/images/se_bg_transparent.png');
  background-size:     cover;
  background-repeat: no-repeat;
}

*/
body {
  /* Location of the image */
  background-image: url(/static/images/se_bg_transparent.png);
  
  /* Background image is centered vertically and horizontally at all times */
  background-position: center center;
  
  /* Background image doesn't tile */
  background-repeat: no-repeat;
  
  /* Background image is fixed in the viewport so that it doesn't move when 
     the content's height is greater than the image's height */
  background-attachment: fixed;
  
  /* This is what makes the background image rescale based
     on the container's size */
  background-size: cover;
  
  /* Set a background color that will be displayed
     while the background image is loading */
  background-color: #464646;
  
  margin: 25px 50px 75px 100px;
  color: #eeeeec;
  font-size: large;

}
.footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: #464646;
  text-align: center;
  color: #555753;
}
table {
  width: 100%;
  background-color: #464646;
  text-align: center;
  color: #555753;
}
a {
  width: 100%;
  background-color: #464646;
  text-align: center;
  color: #555753;
}
    </style>
   
  </head>
  <body >
    <h1>StanzEnigma: Pirati</h1>
    {% if not autostart %}
    <button class="btn btn-success"id="start-bg-job"><img width=100px  src="/static/images/start.png"></button><br><br>
    {% endif %}
    <button class="btn btn-default" id="dec-bg-job"><img width=100px  src="/static/images/minus5min.png"></button><button class="btn btn-default" id="inc-bg-job"><img width=100px  src="/static/images/plus5min.png"></button><br><br>
    {% if stop_cancella %}
    <button class="btn btn-default" id="stop-bg-job"><img width=100px  src="/static/images/stop.png"></button><br><br>
    <button class="btn btn-default" id="clear-bg-job"><img width=100px  src="/static/images/cancella.png"></button><br><br>
    {% endif %}
    {% for message in get_flashed_messages() %}
    <p style="color: red;">{{ message }}</p>
    {% endfor %}
    
    <div id="progress" width="30%"></div>
    {% if time_bonus_button %}
    <button class="btn btn-default" id="moretime-bg-job"><img width=100px  src="/static/images/tempo_bonus.png"></button>
    {% endif %}
    <h3>Aiuti STANZA 1</h3>
    {% for wav in st1 %}
    <button class="btn btn-default" onclick="playWAV('{{wav}}');" id="{{wav}}-bg-job">{{ wav.replace(".wav","") }}</button><br><br>
    {% endfor %}
    <h3>Aiuti STANZA 2</h3>
    {% for wav in st2 %}
    <button class="btn btn-default" onclick="playWAV('{{wav}}');" id="{{wav}}-bg-job">{{ wav.replace(".wav","") }}</button><br><br>
    {% endfor %}
    <h3>Aiuti STANZA 3</h3>
    {% for wav in st3 %}
    <button class="btn btn-default" onclick="playWAV('{{wav}}');" id="{{wav}}-bg-job">{{ wav.replace(".wav","") }}</button><br><br>
    {% endfor %}
    <h3>Altri aiuti</h3>
    {% for wav in others %}
    <button class="btn btn-default" onclick="playWAV('{{wav}}');" id="{{wav}}-bg-job">{{ wav.replace(".wav","") }}</button><br><br>
    {% endfor %}
    {% if stop_audio_button %} 
    <button class="btn btn-default" onclick="playWAV('stop');" id="stop-bg-job">STOP audio</button><br><br>
    {% endif %}
  
    <div id="progress"></div>
    <div class="footer">
    <table width=100%>
      <tr>
        <td><button class="btn btn-default" id="shutdown-bg-job"><img height=40px  src="/static/images/shutdown.png"></button></td>
        <td><small>Designed for StanzEnigma by <a href="mailto:gian.deriu@gmail.com">Gianfranco Deriu</a></small></td>
      </tr>
    </table>
  
  
</div>
    
    <script src="/static/nanobar.min.js"></script>
    <script src="/static/jquery.min.js"></script>
    <script> 
     function playWAV(file) {
        console.log("playing wav")
        console.log(file)
        
         // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/playWAV?file='+file,
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('Location');

                },
                error: function() {
                    alert('Unexpected error');
                }
            });
        }
         function inc_timer() {
            

            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/inctimer',
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('Location');
                 //   update_progress(status_url, nanobar, div[0]);
                },
                error: function() {
                    alert('Unexpected error');
                }
            });
        }
         function dec_timer() {
            

            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/dectimer',
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('Location');
                  //  update_progress(status_url, nanobar, div[0]);
                },
                error: function() {
                    alert('Unexpected error');
                }
            });
        }
         function stop_pirates() {
            

            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/stoppirates',
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('Location');
                   // update_progress(status_url, nanobar, div[0]);
                },
                error: function() {
                    alert('Unexpected error');
                }
            });
        }
         function clear_pirates() {
            

            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/clearpirates',
                success: function(data, status, request) {
                    $('#progress').text("");
                },
                error: function() {

                }
            });
        }
         function moretime_pirates() {
            
            
            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/moretimepirates',
                success: function(data, status, request) {
                    $('#progress').text("");
                },
                error: function() {

                }
            });
            
        }
         function shutdown_pirates() {
            
            if (confirm("Sei sicuro di voler spegnere?")){
            
            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/shutdownpirates',
                success: function(data, status, request) {
                    $('#progress').text("");
                },
                error: function() {

                }
            });
            }
        }
        function start_pirates() {
            // add task status elements
            div = $('<div class="progress"><div></div><div>0%</div><div class="timer">...</div><div>&nbsp;</div></div>');
            $('#progress').append(div);

            // create a progress bar
            var nanobar = new Nanobar({
                bg: '#44f',
                target: div[0].childNodes[0]
            });

            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/startpirates',
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('Location');
                    update_progress(status_url, nanobar, div[0]);
                },
                error: function() {
                    div.remove()
                }
            });
        }
        function update_progress(status_url, nanobar, status_div) {
            // send GET request to status URL
            $.getJSON(status_url, function(data) {
                // update UI
                percent = parseInt(data['current'] * 100 / data['total']);
                nanobar.go(percent);
                $(status_div.childNodes[1]).text(percent + '%');
                $(status_div.childNodes[2]).text(data['status']);
                if (data['state'] != 'PENDING' && data['state'] != 'PROGRESS') {
                   /* if ('result' in data) {
                        // show result
                        $(status_div.childNodes[3]).text('Result: ' + data['result']);
                    }
                    else {
                        // something unexpected happened
                        $(status_div.childNodes[3]).text('Result: ' + data['state']);
                    }*/
                }
                else {
                    // rerun in 2 seconds
                    setTimeout(function() {
                        update_progress(status_url, nanobar, status_div);
                    }, 1000);
                }
            });
        }
        function resume() {
            // add task status elements
            div = $('<div class="progress"><div></div><div>0%</div><div class="timer">...</div><div>&nbsp;</div></div>');
            $('#progress').append(div);

            // create a progress bar
            var nanobar = new Nanobar({
                bg: '#44f',
                target: div[0].childNodes[0]
            });

            // send ajax POST request to start background job
            $.ajax({
                type: 'POST',
                url: '/resumepirates',
                success: function(data, status, request) {
                    status_url = request.getResponseHeader('Location');
                    console.log(status_url)
                    if (status_url)
                      update_progress(status_url, nanobar, div[0]);
                    else{
                      div.remove()
                      
                    }
                },
                error: function() {
                    alert('Unexpected error');
                }
            });
        }
        
        $(function() {
            $('#start-bg-job').click(start_pirates);
        });
        
        $(function() {
            $('#inc-bg-job').click(inc_timer);
        });
        
        $(function() {
            $('#dec-bg-job').click(dec_timer);
        });
        
        $(function() {
            $('#stop-bg-job').click(stop_pirates);
        });
        $(function() {
            $('#clear-bg-job').click(clear_pirates);
        });
        $(function() {
            $('#shutdown-bg-job').click(shutdown_pirates);
        });
        $(function() {
            $('#moretime-bg-job').click(moretime_pirates);
        });
        window.onload = resume;

    </script>
  </body>
</html>
